Debian Bug report logs - #583511
picard: please use disc numbers instead of changing album name

version graph

Package: picard; Maintainer for picard is Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>; Source for picard is src:picard.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Thu, 27 May 2010 22:39:02 UTC

Severity: wishlist

Found in version picard/0.11-2.1

Fixed in version picard/1.0-1

Done: Charlie Smotherman <cjsmo@cableone.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#583511; Package picard. (Thu, 27 May 2010 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. (Thu, 27 May 2010 22:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: picard: please use disc numbers instead of changing album name
Date: Thu, 27 May 2010 22:34:57 +0000
[Message part 1 (text/plain, inline)]
Package: picard
Version: 0.11-2.1+b1
Severity: wishlist

I have several albums that are two-disc sets, such as The Smashing
Pumpkins' Mellon Collie and the Infinite Sadness.  When I rip the CDs in
sound-juicer, it correctly determines that each disc is part of a
multiple-disc set and sets the Vorbis tags accordingly.  However, when I
process those files through Picard, it then removes the disc number and
changes the album name to have "(disc 1)" in it.

I would prefer if Picard properly used the disc number tags and left the
album name as that of the entire album (e.g. "Mellon Collie and the
Infinite Sadness" instead of "Mellon Collie and the Infinite Sadness
(disc 1: Dawn to Dusk)").  Strictly, this is a correctness issue: the
former is the actual name of the album, while the latter is not.

Use of DISCNUMBER and VOLUME as numeral and string forms (i.e., 1 and
"Dawn to Dusk") would be appropriate, as would TPOS and TSST for
ID3v2.4, leaving ALBUM and TALB for the name of the entire album.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages picard depends on:
ii  libavcodec52       5:0.6~svn20100526-0.0 library to encode decode multimedi
ii  libavformat52      5:0.6~svn20100526-0.0 ffmpeg file format library
ii  libc6              2.10.2-9              Embedded GNU C Library: Shared lib
ii  libdiscid0         0.2.2-1               Library for creating MusicBrainz D
ii  libfftw3-3         3.2.2-1               library for computing Fast Fourier
ii  libgcc1            1:4.5-20091226-1      GCC support library
ii  libofa0            0.9.3-3.1             Library for acoustic fingerprintin
ii  libstdc++6         4.5-20091226-1        The GNU Standard C++ Library v3
ii  python             2.5.4-9               An interactive high-level object-o
ii  python-mutagen     1.15-2                audio metadata editing library
ii  python-qt4         4.7.3-1               Python bindings for Qt4
ii  python-support     1.0.8                 automated rebuilding support for P

picard recommends no packages.

picard suggests no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:52:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from cjsmo-guest@users.alioth.debian.org to control@bugs.debian.org. (Wed, 06 Jun 2012 04:21:05 GMT) Full text and rfc822 format available.

Reply sent to Charlie Smotherman <cjsmo@cableone.net>:
You have taken responsibility. (Thu, 07 Jun 2012 13:54:17 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Thu, 07 Jun 2012 13:54:18 GMT) Full text and rfc822 format available.

Message #14 received at 583511-close@bugs.debian.org (full text, mbox):

From: Charlie Smotherman <cjsmo@cableone.net>
To: 583511-close@bugs.debian.org
Subject: Bug#583511: fixed in picard 1.0-1
Date: Thu, 07 Jun 2012 13:48:22 +0000
Source: picard
Source-Version: 1.0-1

We believe that the bug you reported is fixed in the latest version of
picard, which is due to be installed in the Debian FTP archive:

picard_1.0-1.debian.tar.gz
  to main/p/picard/picard_1.0-1.debian.tar.gz
picard_1.0-1.dsc
  to main/p/picard/picard_1.0-1.dsc
picard_1.0-1_amd64.deb
  to main/p/picard/picard_1.0-1_amd64.deb
picard_1.0.orig.tar.gz
  to main/p/picard/picard_1.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 583511@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charlie Smotherman <cjsmo@cableone.net> (supplier of updated picard package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 05 Jun 2012 17:38:57 -0500
Source: picard
Binary: picard
Architecture: source amd64
Version: 1.0-1
Distribution: unstable
Urgency: low
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Changed-By: Charlie Smotherman <cjsmo@cableone.net>
Description: 
 picard     - Next-Generation MusicBrainz audio files tagger
Closes: 502573 583511 656887 672315 674286
Changes: 
 picard (1.0-1) unstable; urgency=low
 .
   * New upstream release.
     - Fullscreen mode is now available. Closes: #502573
     - The "Classic Disk Number" plugin is now available. Closes: #583511
     - When editing a text field the cursor no long jumps to the end of the
       text editing field.  Closes: #656887 (LP: #1000368)
     - Scan feature has been corrected. Closes: #672315 (LP: #959582)
   * Set PAPT as Maintainer and set myself as Uploader, removed Adam Cecile
     <gandalf@le-vert.net> from Maintainers field per mia-teams request.
     Closes: #674286
   * Update Standards Version to 3.9.3, no changes needed.
Checksums-Sha1: 
 6f3080b19490b0f445288490dac113a68118de68 1905 picard_1.0-1.dsc
 abbd606a89b60ed8c948705d47ce1ae1a90f866a 1668228 picard_1.0.orig.tar.gz
 18190fafcd30279ddfc68ba2c2c19d6e93dea4f9 10685 picard_1.0-1.debian.tar.gz
 6ef8bbef97c5bf90979488e10d43dce670b9b636 669122 picard_1.0-1_amd64.deb
Checksums-Sha256: 
 5d68b951ae0074ae8c9dae6b5226841bbdbe36cb948bb047ab4378d14e0cc7f2 1905 picard_1.0-1.dsc
 a8e3f2d54bbf707b3027c7c8fafcb0c52d034d36d7c45baa3e4d56c7a630bd10 1668228 picard_1.0.orig.tar.gz
 56cc9c00c8a975f9e9efe33e3e0002f863ec85721091a5de4d651d12e447c3fc 10685 picard_1.0-1.debian.tar.gz
 2bd282d272eeebbe2bb69f4f5a416b7f8fc036bcfd38b98bbe37bfba54349fce 669122 picard_1.0-1_amd64.deb
Files: 
 75a9e6c427397aa000acca6aa0b57b38 1905 sound optional picard_1.0-1.dsc
 2ac5d31763caaf1e6d374049ca4c134e 1668228 sound optional picard_1.0.orig.tar.gz
 18c233bee1b329b6c83086fbb688cc4e 10685 sound optional picard_1.0-1.debian.tar.gz
 75fd6822c3b9ea3a3bb66f10e638a21e 669122 sound optional picard_1.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP0JOBAAoJEK728aKnRXZFnccP/j4LIOFbyKBEBIMctMy1jJOo
tkLioipiZj6Us6gV6DkS6eMr4ncMZDB6s4TXe3KkjDVxbeiHhH2OrA4YYbjWwYO1
V9Ve7hRzN25TStkAFQ32E/C/SE1+KUkGoWA5CovqCWrO8DhxR4F3HWs7ChDN+ixS
Vt/OqFtWeDLjG54Sg4ga7NMHckYTTtvh13Z9gY4osImf0Mp6BqEZ+YeMwz7KD7Ya
u6EN+stuBe1WHBHTvw4z1r8un4eXD6amkFuMWHRp6J/K/GinkXedKN/3I9zaczsK
YE5w0pTwFAc73Icsda3pSEtA5Uflc8wBbQiF9jtjTDZzfP9LrXQERLsqtk07byix
MaDdxGu6+bqjCfsI9DfcO4kf4k3xwpPXbXOuy4cEZ42TSFS4hrwg7komoctBd6bc
wsxI/rRcgRhb7+uKYksUd0MGoym+UG8/RzsV4fDz05WvTuvnxZfdViqFxOFyeYTk
yMlGD0Sb4WJJraBUsOdCRTGY0VCrJN9cOv5yHcsK/NGWl2AnoAFsCXoghekCS9Lo
qxIajCcb/65G+4I8LoxN/Jwawj5bDQa85lS/ND3dd2HkMLRmYARFgyNEpINDpd60
d4h2S2rJPNzzywxhSv512lJ+KfEzwfGp/z9FG4mC0Nf2bxfW2P/DlUi/bDMbxPDu
tvLBMtjR0CsIuala86Yu
=ORNK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Jul 2012 07:25:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:25:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.